Community mailing list archives

community@mail.odoo.com

Re: Odoo / Python 3

by
j.zahid
- 11/12/2015 08:53:59
Customers are not early adopters, they just need a tool, and Odoo in one of many they use, to run their business. Customers doesn't car about python 2.7 or 3.4 so as far 2.7 is maintained it's ok to stick with it as 2020 is in four years. Their are other big important step before the absolute need of python 3.x

So keep calm and take your pills ;)


Ok, i'll remind you to keep calm by then. When you try to install a module or even the server itself in a prod environment, and some buggy py2.7 lib you depend on is not maintained any more. 
It is stated clearly from python maintainers that "standard library improvements, for example, are only available by default in Python 3.x. "
It's time to move on.

regards